:root {
	/* Light Theme Defaults */
	--color-bg: #f8f9fa;
	--color-text: #2d2d2d;
	--color-border: #000000;
	--color-card-bg: #ffffff;
	--color-scrollbar: #adb5bd;
	--color-accent: #000000;
	--color-primary: #827ae2;
	--color-secondary: #728cdb;
	--color-text-light: #6c757d;
	--color-text-stat: #495057;
	--color-stat-bg: #f1f3f540;
	
	/* Dark Theme Overrides */
	&[data-theme="dark"] {
	  --color-bg: #1a1a1a;
	  --color-text: #e0e0e0;
	  --color-border: #1a1a1a;
	  --color-card-bg: #2d2d2d;
	  --color-scrollbar: #555;
	  --color-accent: #728cdb;
	  --color-primary: #728cdb;
	  --color-secondary: #728cdb;
	  --color-text-light: #a0a0a0;
	  --color-text-stat: #ced4dacc;
	  --color-stat-bg: #1a1a1a40;
	}
  }

  .dark-icon { display: inline; }
  .light-icon { display: none;	}

[data-theme="dark"] .dark-icon { display: none; }
[data-theme="dark"] .light-icon { display: inline; }

.mic-icon { font-size: smaller; }

body, #navbar, .anime-card, .tab, .page-btn {
	transition: background-color 0.15s ease, color 0.1s ease-in, border-color 0.15s ease;
  }
  
  * {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: "Rubik", serif;
  font-optical-sizing: auto;
  font-style: normal;
  }

.material-icons {
	font-variation-settings:
  "FILL" 0,
  "wght" 700,
  "GRAD" -25,
  "opsz" 48,
    "slnt" 0,
    "CRSV" 0,
    "SHRP" 0;
}

body {
	background-color: var(--color-bg);
	color: var(--color-text);
	font-family: Arial, sans-serif;
	margin: 0px;
	padding: 0px;
}
body::before {
    content: '';
    position: fixed;
    inset: 0;
    background: var(--color-bg) url('background.jpg') center/cover;
    opacity: 0.5;
    z-index: -1;
}

h1 {
	text-align: center;
	margin-bottom: 2rem;
	color: #333;
}

a, h2{
	text-decoration: none;
	color: var(--color-text);
}

.animecarousel {
	padding: 1rem;
	margin-left: 5rem;
	margin-right: 5rem;
}

.anime-container {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));  /* To change card width */
	gap: 2rem;
	overflow-x: auto;
	padding-top: 1rem;
	padding-bottom: 0rem;
	justify-content: center;
}

.anime-container::-webkit-scrollbar {
display: none;
}

.anime-card-white-underlay {
	position: relative;
	background-color: var(--color-card-bg);
	border-radius: 10px;
	z-index: 0;
	height: min-content;
}
.anime-card {
	position: relative;
	flex: 0 0 200px;
	border-color: var(--color-border);
	border: 3px solid var(--color-border);
  	box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
	border-radius: 10px;
	overflow: hidden;
	transition: transform 0.3s ease;
	z-index: 5
}

.anime-card:hover {
	transform: translateY(-5px);
}

.anime-image {
	width: 100%;
	height: 350px;
	object-fit: cover;
	border-bottom: 3px solid var(--color-border);
}

.anime-shadow {
	width: 100%;
	height: 350px;
	object-fit: cover;
	position: relative;
    display: inline-block;
    overflow: hidden;
}

.anime-shadow::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 12%;
    background: linear-gradient(to top, rgba(49, 48, 48, 0.6), transparent);
    pointer-events: none;
}



.anime-info {
	padding: 0.2rem 0.75rem;
	margin: 0;
}

.anime-title {
	/* font-weight: bold; */
	font-size: large;
	font-weight: 500;
	margin-bottom: 0rem;
	color: var(--color-text);
}

.anime-rating {
	color: #ffd700;
	font-size: medium;
}

.rating-overlay {
position: absolute;
top: 310px;
left: 7px;
background: rgba(0, 0, 0, 0.4);
border: 2px solid #000;
border-radius: 10px;
color: #ffd700;
padding: 5px;
z-index: 2;
font-weight: normal;
font-size: small;
backdrop-filter: blur(5px);
}

.anime-stats {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	margin-top: 1rem;
	margin-bottom: 0.5rem;
	font-size: small;
	background-color: var(--color-stat-bg);
	padding: 0.5rem;
	border-radius: 5px;
}

.stat-item {
	display: flex;
	flex-direction: column;
}

.stat-label {
	font-weight: 600;
	color: var(--color-text-stat);
	font-size: small;
	text-transform: capitalize;
}

.stat-value {
	color: var(--color-text);
  font-weight: 600;
}

.anime-genre {
	color: var(--color-text);
	font-size: smaller;
	margin: 0.5rem 0;
	padding: 0.3rem;
}

.anime-comment {
	color: var(--color-text);
  border-left: 3px solid var(--color-text-light);
  padding-left: 0.5rem;
	font-size: small;
	margin: 1rem 0;
	line-height: 1.4;
}

.anime-container::-webkit-scrollbar {
	height: 8px;
	display: none;
}

.anime-container::-webkit-scrollbar-track {
	background: #f1f1f1;
	border-radius: 4px;
}

.anime-container::-webkit-scrollbar-thumb {
	background: #888;
	border-radius: 4px;
}

.anime-container::-webkit-scrollbar-thumb:hover {
	background: #555;
}

/* Navbar styles */

#navbar {
box-sizing: border-box;
display: flex;
flex-direction: row;
justify-content: space-between;
align-items: left;
padding: 0px;
gap: 0px;
height: 60px;
background: var(--color-card-bg);
border-color: var(--color-border);
border-top: 4px solid var(--color-border);
border-bottom: 4px solid var(--color-border)
}

/* Navbar text and links */
#navbar .navbar-container {
display: flex;
flex-direction: row;
justify-content: space-between;
align-items: center;
width: 100%;
margin: 0 auto;
}

/* Logo or main text */
#navbar .navbar-container .logo {
	font-family: "Outfit", serif;
	font-optical-sizing: auto;
	font-weight: 700;
	font-style: normal;
	font-size: x-large;
	letter-spacing: 1px;
color: var(--color-text);
display: flex;
align-items: center;
padding-left: 10px;
text-decoration-line: none;
}

/* Navigation links */
#navbar .navbar-container .nav-links {
display: flex;
flex-direction: row;
gap: 0px;
}

.nav-links .link-box {
display: flex;
flex-direction: row;
justify-content: center;
align-items: center;
padding: 20% 20px;
gap: 0px;
background: var(--color-card-bg);
border: 2px solid var(--color-border);
text-decoration: none;
color: var(--color-text);
font-family: "Verdana", sans-serif;
font-weight: 700;
font-size: 15px;
line-height: 27px;
transition: background 0.3s ease;
}

.nav-links .link-box:hover {
background: #90a8ed44;
}

.title {
margin-top: 0px;
font-family: 'Montserrat Alternates', sans-serif;
font-weight: 700;
font-size: 12px;
color: #000;
padding: 10px;
}

#year-dropdown {
    background: var(--color-bg);
    border: none;
    border-bottom: 4px solid var(--color-accent);
    padding: 10px 25px 10px 15px;
	font-size: medium;
    font-weight: 700;
	color: var(--color-primary);
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    position: relative;

	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14' height='14' viewBox='0 0 24 24'%3E%3Cpolyline points='6 9 12 15 18 9' fill='none' stroke='%23666' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
	background-repeat: no-repeat;
	background-position: right 15px center;
}

.tabs {
display: flex;
justify-content: space-around;
margin: 0px 0;
}
.tab {
flex: 1;
text-align: center;
padding: 10px;
background: var(--color-bg);
border-bottom: 4px solid var(--color-accent);
}
.tab:hover {
background-color: #90a8ed44;
}


/* Pagination styles */
.pagination {
    display: flex;
    justify-content: center;
    gap: 2rem;
    margin: 1rem;
	margin-bottom: 0.5rem;
    flex-wrap: wrap;
}

.page-btn {
    padding: 0.5rem 1rem;
	background: var(--color-card-bg);
  color: var(--color-text);
  border: 2px solid var(--color-accent);
    border-radius: 4px;
	border-color: var(--color-border);
    cursor: pointer;
    transition: background 0.2s ease;
	font-size: large;
}

.page-btn.active {
	background: #1c3771;
	color: white;
}

.page-btn:hover:not(.active) {
    background: #4267b2;
	color: white;
}

.lang-overlay {
	color: #f2f2f2;
    border: 2px solid var(--color-text);
	border-radius: 10px;
    padding: 5px;
    display: inline-flex; /* Align properly */
    align-items: center;
    font-size: smaller;
    font-weight: bold;
	background-color: #000;
}

.lang-overlay .material-icons {
	font-size: medium;
	display: flex;
    align-items: center;
	vertical-align: top;
	color: var(--color-text);
}

.subdub-container {
    display: flex;
    align-items: center;
	vertical-align: middle;
	margin-top: 5px; 
    gap: 7px; /* Adjust spacing between "Sub/Dub:" and icons */
	color: var(--color-text);
	font-size: smaller;
}

.mal-overlay {
	position: absolute;
	top: 310px;
	left: 7px;
	background: rgba(255, 255, 255, 0.2);
	border: 2px solid #000000;
	border-radius: 10px;
	color: #fcfcfc;
	padding: 5px;
	/* z-index: 2; */
	font-weight: bold;
	font-size: smaller;
	backdrop-filter: blur(8px);
	}

	.mal-text {
		font-size: small;
	}

.mal_svg {
    width: 28px; /* Adjust as needed */
    height: auto;
    display: inline-block;
    fill: var(--color-primary); /* Matches theme color */
	gap: 5px;
	vertical-align:baseline;
}




/* Mobile styles */
@media (max-width: 768px) {

	* {
		margin: 0;
		padding: 0;
		box-sizing: border-box;
		font-size: small;
	}

	#navbar .navbar-container .logo {
		padding: 20px 3%;
		font-size: large;
		letter-spacing: normal;
		font-weight: 800;
	}

	.animecarousel {
		padding: 1rem;
		margin-left: 0%;
		margin-right: 0%;
	}

	.anime-container {
		grid-template-columns: repeat(auto-fill, minmax(45%, 1fr));
		padding: 0;
		gap: 0.5rem;
	 }

	.anime-card {
		flex: 0 0 200px;
		height: auto;
		
	}

	.anime-image {
		height: 240px;
	}

	.anime-shadow {
		height: 240px;
	}

	.anime-title {
		font-size: medium;
	}

	.anime-stats {
		grid-template-columns: repeat(2, 1fr);
	}

	.stat-label {
		font-size: smaller;
	}

	.anime-comment {
		font-size: small;
	}

	.rating-overlay {
		left: 5px;
		top: 200px;
		font-weight: 500;
	}

	.lang-overlay {
		padding: 3px;
	}

	.mal-overlay {
		left: 5px;
		top: 200px;
	}

	.mal_svg {
		width: 20px;
	}

	/* Pagination styles */
.pagination {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin: 0.8rem;
    flex-wrap: wrap;
}

.page-btn {
    padding: 0.3rem 0.7rem;
	background: var(--color-card-bg);
    color: var(--color-text);
    border: 2px solid #250C31;
    border-radius: 4px;
    cursor: pointer;
    transition: background 0.3s ease;
	font-size: medium;
}

.page-btn.active {
    background: #1c3771;
	color: white;
}

.page-btn:hover:not(.active) {
    background: #4267b2;
}
}